<?xml version="1.0" encoding="utf-8"?>
<openerp>
    <data>
		
		<!-- Tong cuc -->
        <record id="view_feosco_digital_warehouse_report_graph" model="ir.ui.view">
            <field name="name">feosco.digital.requisition.report.graph</field>
            <field name="model">feosco.digital.requisition.report</field>
            <field name="arch" type="xml">
                <graph string="Kho" type="pie" stacked="True">
                    <field name="state" type="row" nolabel="1"/>
                    <field name="nbr" type="measure"/>
                </graph>
            </field>
        </record>


        <record id="view_feosco_digital_warehouse_report_filter" model="ir.ui.view">
            <field name="name">feosco.digital.requisition.report</field>
            <field name="model">feosco.digital.requisition.report</field>
            <field name="arch" type="xml">
                <search string="Search">
                    <separator/>
                    <field name="customer_id" string="Doanh nghiệp"/>
                    <field name="district_id" string="Quận huyện"/>
                    <field name="city_id" string="Thành phố"/>
                    <field name="chi_cuchq_id" string="Chi cục Hải Quan"/>
                    <field name="customs_id" string="Cục Hải Quan"/>
                    <group  expand="1" string="Extended Filters...">
                    	<field name="create_date" string="Ngày nộp đơn"/>
                    	<field name="date_from" filter_domain="[('create_date','&gt;=',self)]"/>
						<field name="date_to" filter_domain="[('create_date','&lt;=',self)]"/>
                        <field name="state"/>
                    </group>
                    <group  expand="1" string="Group By...">
                        <filter string="Tỉnh / Thành" name="City" icon="terp-personal" domain="[]" context="{'group_by':'city_id'}" />
                        <filter string="Cục Hải Quan" name="Customs" icon="terp-personal" domain="[]" context="{'group_by':'customs_id'}" />
                        <filter string="Chi cục Hải Quan" name="Customs Branch" icon="terp-personal" domain="[]" context="{'group_by':'chi_cuchq_id'}" />
                    	<filter string="Trạng thái" name="Status" icon="terp-personal" domain="[]" context="{'group_by':'state'}" />
                    	<filter string="Đơn trong tháng" name="current_month" 
                    			domain="[('create_date','&lt;',(context_today()+relativedelta(months=1)).strftime('%%Y-%%m-01')), ('create_date','&gt;=',time.strftime('%%Y-%%m-01'))]"/>
                    	 <filter string="Cơ quan của tôi" name="my_department" icon="terp-personal" domain="['|','|',('chi_cuchq_id.members','=',uid),('customs_id.members','=',uid),('cuc_giam_sat_id.members','=',uid)]"/>
                    </group>
                </search>
            </field>
        </record>


        <record id="action_feosco_digital_warehouse_report" model="ir.actions.act_window">
            <field name="name">Báo cáo cấp mã địa điểm</field>
            <field name="res_model">feosco.digital.requisition.report</field>
            <field name="view_type">form</field>
            <field name="view_mode">graph</field>
            <field name="context">{"search_default_my_department":1,"search_default_current_month":1}</field>
            <field name="view_id" ref="view_feosco_digital_warehouse_report_graph"/>
            <field name="search_view_id" ref="view_feosco_digital_warehouse_report_filter"/>
            <field name="help">Báo cáo tình hình cấp mã địa điểm trên cả nước</field>
        </record>

        <record model="ir.actions.act_window.view" id="action_feosco_digital_warehouse_report_graph">
            <field name="sequence" eval="2"/>
            <field name="view_mode">graph</field>
            <field name="view_id" ref="view_feosco_digital_warehouse_report_graph"/>
            <field name="act_window_id" ref="action_feosco_digital_warehouse_report"/>
        </record>

        <menuitem name="Báo cáo cấp mã địa điểm" id="menu_action_feosco_digital_warehouse_report"
            action="action_feosco_digital_warehouse_report" parent="base.menu_reporting_dashboard" sequence="0"/>
        

    </data>
</openerp>
